#
# spec file for package lxqt-themes
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lxqt-themes
Version:        0.12.0
Release:        0
Summary:        Themes, graphics and icons for LXQt
License:        GPL-2.0+ and LGPL-2.1+
Group:          System/GUI/LXQt
Url:            https://github.com/lxde/lxqt-themes
Source:         https://github.com/lxde/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
Source1:        https://github.com/lxde/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz.asc
Source2:        lxqt-themes.keyring
BuildRequires:  cmake >= 3.0.2
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  lxqt-build-tools-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Themes, graphics and icons for LXQt.

%prep
%setup -q

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install
%fdupes -s %{buildroot}%{_datadir}/lxqt/themes

%files
%defattr(-,root,root)
%doc CHANGELOG README.md COPYING
%dir %{_datadir}/lxqt
%{_datadir}/lxqt/graphics
%{_datadir}/lxqt/themes
%{_datadir}/icons/hicolor/*/places/*.??g
%{_datadir}/icons/hicolor/*/apps/*.??g

%changelog
